Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::TaggedComponent_var Class Reference

`#include <IOPC.h>`

Collaboration diagram for IOP::TaggedComponent_var:

[legend]
List of all members.

## Public Methods
| TaggedComponent_var (void)
| TaggedComponent_var (TaggedComponent *)
| TaggedComponent_var (const TaggedComponent_var &)
| ~TaggedComponent_var (void)
TaggedComponent_var & | operator= (TaggedComponent *)
TaggedComponent_var & | operator= (const TaggedComponent_var &)
TaggedComponent * | operator-> (void)
const TaggedComponent * | operator-> (void) const
| operator const TaggedComponent & () const
| operator TaggedComponent & ()
| operator TaggedComponent & () const
| operator TaggedComponent *& ()
const TaggedComponent & | in (void) const
TaggedComponent & | inout (void)
TaggedComponent *& | out (void)
TaggedComponent * | _retn (void)
TaggedComponent * | ptr (void) const
## Private Attributes
TaggedComponent * | ptr_

## Constructor & Destructor Documentation

IOP::TaggedComponent_var::TaggedComponent_var | ( | void |  | ) |

IOP::TaggedComponent_var::TaggedComponent_var | ( | TaggedComponent * |  | ) |

IOP::TaggedComponent_var::TaggedComponent_var | ( | const TaggedComponent_var & |  | ) |

IOP::TaggedComponent_var::~TaggedComponent_var | ( | void |  | ) |

## Member Function Documentation

TaggedComponent* IOP::TaggedComponent_var::_retn | ( | void |  | ) |

const TaggedComponent& IOP::TaggedComponent_var::in | ( | void |  | ) | const

TaggedComponent& IOP::TaggedComponent_var::inout | ( | void |  | ) |

IOP::TaggedComponent_var::operator const TaggedComponent & | ( |  | ) | const

IOP::TaggedComponent_var::operator TaggedComponent & | ( |  | ) | const

IOP::TaggedComponent_var::operator TaggedComponent & | ( |  | ) |

IOP::TaggedComponent_var::operator TaggedComponent *& | ( |  | ) |

const TaggedComponent* IOP::TaggedComponent_var::operator-> | ( | void |  | ) | const

TaggedComponent* IOP::TaggedComponent_var::operator-> | ( | void |  | ) |

TaggedComponent_var& IOP::TaggedComponent_var::operator= | ( | const TaggedComponent_var & |  | ) |

TaggedComponent_var& IOP::TaggedComponent_var::operator= | ( | TaggedComponent * |  | ) |

TaggedComponent*& IOP::TaggedComponent_var::out | ( | void |  | ) |

TaggedComponent* IOP::TaggedComponent_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TaggedComponent* IOP::TaggedComponent_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- IOPC.h